gnutls_psk_set_server_dh_params(3)

NAME
gnutls_psk_set_server_dh_params - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_psk_set_server_dh_params(gnutls_psk_server_credentials_t res, gnutls_dh_params_t dh_params);

ARGUMENTS

gnutls_psk_server_credentials_t res
    is a gnutls_psk_server_credentials_t structure

gnutls_dh_params_t dh_params
    is a structure that holds Diffie-Hellman parameters.

DESCRIPTION
This function will set the Diffie-Hellman parameters for an anonymous server to use. These parameters will be used in Diffie-Hellman exchange with PSK cipher suites.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/